意思決定プールにメンバーリストがありません
APIは422 Unprocessable Contentでこの問題を返します。この問題のtypeはhttps://lingo.dev/docs/api/errors/decision-pool-members-unsupportedです。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。
意思決定プール<id>にはメンバーリストがありません。チームプールは組織の全メンバーに通知し、外部プールはプロバイダーに発注します。
フィールド#
レスポンス本文には、標準のメンバーであるtype、status、title、detailに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
id | string |
例#
json
{
"detail": "Decision pool <id> has no member list: the team pool notifies every organization member, and an external pool orders from its provider.",
"id": "<id>",
"type": "https://lingo.dev/docs/api/errors/decision-pool-members-unsupported",
"status": 422,
"title": "Decision pool has no member list"
}このエラーを返すエンドポイント#
PATCH /v2/organizations/{orgId}/decision-pools/{id}